org.apache.datasketches.pig.kll

## Class UnionSketch.Final

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.DataByteArray>
  - - org.apache.datasketches.pig.kll.UnionSketch.Final

Enclosing class:
  UnionSketch

    public static class UnionSketch.Final
    extends org.apache.pig.EvalFunc<org.apache.pig.data.DataByteArray>

Class used to calculate the final pass of an Algebraic union operation. It will receive a bag of values returned by either the Intermediate stage or the Initial stages, so it needs to be able to differentiate between and interpret both types.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`Final()` Default constructor.
`Final(String kStr)` Constructor with explicit k as string.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.DataByteArray` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Final

    public Final()

Default constructor. Assumes default k.

#### Final

    public Final(String kStr)

Constructor with explicit k as string.

Parameters:
  `kStr` - string representation of k

### Method Detail

#### exec

    public org.apache.pig.data.DataByteArray exec(org.apache.pig.data.Tuple inputTuple)
                                           throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.DataByteArray>`
Throws:
  `IOException`